package request

import (
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/ability591/domain"
	"git.rosy.net.cn/baseapi/platformapi/tao_vegetable/sdk/util"
)

type AlibabaWdkTradeRefundSuccessCreateRequest struct {
	/*
	   逆向单请求对象     */
	RefundOrderRequest *domain.AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderRequest `json:"refund_order_request" required:"true" `
}

func (s *AlibabaWdkTradeRefundSuccessCreateRequest) SetRefundOrderRequest(v domain.AlibabaWdkTradeRefundSuccessCreateAfterRefundOrderRequest) *AlibabaWdkTradeRefundSuccessCreateRequest {
	s.RefundOrderRequest = &v
	return s
}

func (req *AlibabaWdkTradeRefundSuccessCreateRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.RefundOrderRequest != nil {
		paramMap["refund_order_request"] = util.ConvertStruct(*req.RefundOrderRequest)
	}
	return paramMap
}

func (req *AlibabaWdkTradeRefundSuccessCreateRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
